Subject: [PATCH 0/6] mmc: omap_hsmmc: Clean up use/abuse of pdev->id

From: [email-masked] (Rajendra Nayak)
Date: Tue, 14 Feb 2012 10:48:46 +0530

On Friday 10 February 2012 06:57 PM, T Krishnamoorthy, Balaji wrote:
> On Tue, Feb 7, 2012 at 3:32 PM, S, Venkatraman<[email-masked]>  wrote:
>> >  On Sat, Feb 4, 2012 at 8:21 PM, Rajendra Nayak<[email-masked]>  wrote:
>>> >>  This series mainly cleans up all instances of hardcoding's in
>>> >>  the driver based on pdev->id. This is cleanup leading to the
>>> >>  DT adaptation of omap_hsmmc driver.
>>> >>
>>> >>  Patches are based on 3.3-rc2 and can be found here
>>> >>  git://gitorious.org/omap-pm/linux.git omap_hsmmc_cleanup
>>> >>
>>> >>  Tested the patches on my omap4 boards (panda and SDP) but
>>> >>  haven't tested yet on omap3/2 since I did'nt have boards
>>> >>  handy. So any testing on any omap3/2 boards is really
>>> >>  appreciated.
> Tested this series on 2430SDP with FS on SD card
>
Thanks, will repost adding Tested-by from you and Venkat, also
getting rid of the one instance of host->id usage left in a
debug print.